UndeployMessage (Apache Tomcat 8.5.96 API Documentation)

Package org.apache.catalina.ha.deploy

## Class UndeployMessage

- java.lang.Object
- - org.apache.catalina.ha.deploy.UndeployMessage

- All Implemented Interfaces:
    `java.io.Serializable`, `ClusterMessage`

      public class UndeployMessage
      extends java.lang.Object
      implements ClusterMessage

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `UndeployMessage​(Member address, long timestamp, java.lang.String uniqueId, java.lang.String contextName)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Member` | `getAddress()` |
    `java.lang.String` | `getContextName()` |
    `long` | `getTimestamp()` |
    `java.lang.String` | `getUniqueId()` |
    `void` | `setAddress​(Member address)` |
    `void` | `setTimestamp​(long timestamp)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UndeployMessage

          public UndeployMessage​(Member address,
                                 long timestamp,
                                 java.lang.String uniqueId,
                                 java.lang.String contextName)

  - ### Method Detail

    - #### getAddress

          public Member getAddress()

      Specified by:
        `getAddress` in interface `ClusterMessage`

    - #### setAddress

          public void setAddress​(Member address)

      Specified by:
        `setAddress` in interface `ClusterMessage`

    - #### getTimestamp

          public long getTimestamp()

      Specified by:
        `getTimestamp` in interface `ClusterMessage`

    - #### setTimestamp

          public void setTimestamp​(long timestamp)

      Specified by:
        `setTimestamp` in interface `ClusterMessage`

    - #### getUniqueId

          public java.lang.String getUniqueId()

      Specified by:
        `getUniqueId` in interface `ClusterMessage`

    - #### getContextName

          public java.lang.String getContextName()